import 'package:example/constants.dart';
import 'package:flutter/material.dart';
import 'package:gradie/gradie.dart';

import 'card.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Gradie Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const MyHomePage(title: 'Gradie Demo Home Page'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

  Widget _content() {
    return ClipRRect(
      borderRadius: BorderRadius.circular(32),
      child: Container(
        color: Colors.red[100],
        height: 300,
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            const ListTile(
              title: Text('list'),
              subtitle: Text('tile'),
            ),
            const Expanded(child: Center(child: Text('Content'),),),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
              child: Row(
                children: const [
                  Expanded(child: TextField(),),
                  IconButton(onPressed: null, icon: Icon(Icons.send))
                ],
              ),
            )
          ],
        ),
      ),
    );
    // return ;
  }

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      backgroundColor: Colors.blue[100],
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Center(
          // child: _content(),
          child: ListView.separated(
            itemCount: 20,
            separatorBuilder: (context, index) => Container(height: 8,),
            // itemBuilder: (context, index) => GradieContainer(
            //   gradie: Constants.reflection,
            //   borderRadius: BorderRadius.circular(32),
            //   child: _content()
            // ),
            itemBuilder: (context, index) => ElevatedCard(
              reflective: true,
              color: Colors.yellow,
              borderRadius: BorderRadius.circular(32),
              child: _content()
            ),
          )
        ),
      ),
    );
  }

}
